Track analytics events
POST
/analytics/v1/eventsIngest a batch of analytics events for the authenticated organization
Authorization
Bearer Authorization<token>
In: header
Request Body
requiredapplication/json{
"$ref": "#/components/schemas/analyticsv1.TrackEventsRequest",
"$ref-value": {
"properties": {
"country": {
"type": "string"
},
"events": {
"items": {
"$ref": "#/components/schemas/analyticsv1.AnalyticsEvent",
"$ref-value": {
"properties": {
"event": {
"description": "Types that are valid to be assigned to Event:\n\n\t*AnalyticsEvent_SessionStart\n\t*AnalyticsEvent_ContentView\n\t*AnalyticsEvent_Engagement\n\t*AnalyticsEvent_Interaction\n\t*AnalyticsEvent_Error"
},
"timestamp": {
"type": "number"
}
},
"type": "object"
}
},
"type": "array"
},
"user_id": {
"type": "string"
}
},
"type": "object"
}
}Response Body
204
No Content
curl -X POST "https://api.rixl.com/analytics/v1/events" \
-H "Content-Type: application/json" \
-d '{}'No Content